Bug 149402 - kernel-2.6.10-1.766_FC3 and Microtek ScanMaker III scsi issue
kernel-2.6.10-1.766_FC3 and Microtek ScanMaker III scsi issue
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 14:03 EST by marty diamond
Modified: 2015-01-04 17:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-22 02:09:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description marty diamond 2005-02-22 14:03:50 EST
Description of problem:
Repeated Kudzu config attempts of device, each reboot

Version-Release number of selected component (if applicable):
Kernel 2.6.10-1.766_FC3; kudzu-1.1.95-1

How reproducible:
Always when booting/rebooting to kernel-2.6.10-1.766_FC3 with scsi scanner
initialized

Steps to Reproduce:
1. Initialize Scanner; boot/reboot machine
2. Kudzu kicks in, repeatedly attempts to configure scanner to ports sg0-sg63
3. 
  
Actual results:
On first boot, config Scanmaker III _one_time, then <F4> out of kudzu.  The
symbolic link /dev/scanner -> /dev/sg0 is created, 'The Gimp', acquires scanner,
all is well.  In addition, 'devices' /dev/sg1-/dev/sg63 are also created
althought the AHA-2920C and ScanMaker III are the only connected devices.

Expected results:
First boot with Scanner initialed; creates alias /dev/scanner -> /dev/sg0 ; 'The
Gimp' just works.  Functionality exhibited in FC3 kernel's prior to
kernel-2.6.10-1.766_FC3

Additional info:
If kudzo is allow to continue by pressing 'configure' hot button, numberous
additional alias are created to none existence 'scanners' i.e.; /dev/scanner1 ->
/dev/sg1 , /dev/scanner2 -> /dev/scanner2 ... until <F4> is used to end the
kudzu UI.  'The Gimp' acquire gets hopelessly confused, sometimes by a failed
acquire(no devices), orther times by a seemingly successfull 'acquire' but then
broadcasting an device I/O error when scans are attempted.

BTW, I am neither a programmer nor an engineer!
Comment 1 Bill Nottingham 2005-02-22 14:20:00 EST
Please attach /proc/bus/usb/devices.
Comment 2 marty diamond 2005-02-23 10:16:02 EST
[root@mars ~]# cat /proc/bus/usb/devices

T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0
D:  Ver= 1.10 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=0000 ProdID=0000 Rev= 2.06
S:  Manufacturer=Linux 2.6.10-1.766_FC3 uhci_hcd
S:  Product=UHCI Host Controller
S:  SerialNumber=0000:00:1f.2
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=  0mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub
E:  Ad=81(I) Atr=03(Int.) MxPS=   2 Ivl=255ms


Comment 3 Bill Nottingham 2005-02-23 11:57:39 EST
Is this a USB or SCSI scanner?
Comment 4 marty diamond 2005-02-23 12:12:44 EST
SCSI scanner with active termination.  The PCI controller is an Adaptec
AHA-2920C.  No other SCSI devices are attached to machine.
Comment 5 Bill Nottingham 2005-02-23 13:56:03 EST
OK, can you attach /proc/scsi/scsi, and the output of kudzu -p -b scsi?
Comment 6 marty diamond 2005-02-23 14:14:20 EST
[root@mars ~]# cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 03 Lun: 00
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 01
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 02
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 03
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 04
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 05
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 06
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 07
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 08
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 09
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 10
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 11
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 12
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 13
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 14
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 15
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 16
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 17
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 18
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 19
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 20
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 21
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 22
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 23
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 24
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 25
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 26
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 27
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 28
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 29
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 30
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 31
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 32
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 33
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 34
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 35
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 36
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 37
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 38
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 39
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 40
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 41
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 42
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 43
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 44
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 45
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 46
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 47
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 48
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 49
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 50
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 51
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 52
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 53
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 54
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 55
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 56
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 57
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 58
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 59
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 60
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 61
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 62
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner                          ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 03 Lun: 63
  Vendor: MICROTEK Model: ScanMakerIII     Rev: 2.30
  Type:   Scanner   



[root@mars ~]# kudzu -p -b scsi
-
class: SCANNER
bus: SCSI
detached: 0
device: sg0
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 0
generic: sg0
-
class: SCANNER
bus: SCSI
detached: 0
device: sg1
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 1
generic: sg1
-
class: SCANNER
bus: SCSI
detached: 0
device: sg10
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 10
generic: sg10
-
class: SCANNER
bus: SCSI
detached: 0
device: sg11
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 11
generic: sg11
-
class: SCANNER
bus: SCSI
detached: 0
device: sg12
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 12
generic: sg12
-
class: SCANNER
bus: SCSI
detached: 0
device: sg13
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 13
generic: sg13
-
class: SCANNER
bus: SCSI
detached: 0
device: sg14
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 14
generic: sg14
-
class: SCANNER
bus: SCSI
detached: 0
device: sg15
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 15
generic: sg15
-
class: SCANNER
bus: SCSI
detached: 0
device: sg16
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 16
generic: sg16
-
class: SCANNER
bus: SCSI
detached: 0
device: sg17
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 17
generic: sg17
-
class: SCANNER
bus: SCSI
detached: 0
device: sg18
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 18
generic: sg18
-
class: SCANNER
bus: SCSI
detached: 0
device: sg19
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 19
generic: sg19
-
class: SCANNER
bus: SCSI
detached: 0
device: sg2
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 2
generic: sg2
-
class: SCANNER
bus: SCSI
detached: 0
device: sg20
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 20
generic: sg20
-
class: SCANNER
bus: SCSI
detached: 0
device: sg21
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 21
generic: sg21
-
class: SCANNER
bus: SCSI
detached: 0
device: sg22
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 22
generic: sg22
-
class: SCANNER
bus: SCSI
detached: 0
device: sg23
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 23
generic: sg23
-
class: SCANNER
bus: SCSI
detached: 0
device: sg24
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 24
generic: sg24
-
class: SCANNER
bus: SCSI
detached: 0
device: sg25
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 25
generic: sg25
-
class: SCANNER
bus: SCSI
detached: 0
device: sg26
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 26
generic: sg26
-
class: SCANNER
bus: SCSI
detached: 0
device: sg27
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 27
generic: sg27
-
class: SCANNER
bus: SCSI
detached: 0
device: sg28
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 28
generic: sg28
-
class: SCANNER
bus: SCSI
detached: 0
device: sg29
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 29
generic: sg29
-
class: SCANNER
bus: SCSI
detached: 0
device: sg3
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 3
generic: sg3
-
class: SCANNER
bus: SCSI
detached: 0
device: sg30
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 30
generic: sg30
-
class: SCANNER
bus: SCSI
detached: 0
device: sg31
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 31
generic: sg31
-
class: SCANNER
bus: SCSI
detached: 0
device: sg32
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 32
generic: sg32
-
class: SCANNER
bus: SCSI
detached: 0
device: sg33
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 33
generic: sg33
-
class: SCANNER
bus: SCSI
detached: 0
device: sg34
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 34
generic: sg34
-
class: SCANNER
bus: SCSI
detached: 0
device: sg35
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 35
generic: sg35
-
class: SCANNER
bus: SCSI
detached: 0
device: sg36
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 36
generic: sg36
-
class: SCANNER
bus: SCSI
detached: 0
device: sg37
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 37
generic: sg37
-
class: SCANNER
bus: SCSI
detached: 0
device: sg38
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 38
generic: sg38
-
class: SCANNER
bus: SCSI
detached: 0
device: sg39
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 39
generic: sg39
-
class: SCANNER
bus: SCSI
detached: 0
device: sg4
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 4
generic: sg4
-
class: SCANNER
bus: SCSI
detached: 0
device: sg40
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 40
generic: sg40
-
class: SCANNER
bus: SCSI
detached: 0
device: sg41
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 41
generic: sg41
-
class: SCANNER
bus: SCSI
detached: 0
device: sg42
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 42
generic: sg42
-
class: SCANNER
bus: SCSI
detached: 0
device: sg43
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 43
generic: sg43
-
class: SCANNER
bus: SCSI
detached: 0
device: sg44
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 44
generic: sg44
-
class: SCANNER
bus: SCSI
detached: 0
device: sg45
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 45
generic: sg45
-
class: SCANNER
bus: SCSI
detached: 0
device: sg46
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 46
generic: sg46
-
class: SCANNER
bus: SCSI
detached: 0
device: sg47
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 47
generic: sg47
-
class: SCANNER
bus: SCSI
detached: 0
device: sg48
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 48
generic: sg48
-
class: SCANNER
bus: SCSI
detached: 0
device: sg49
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 49
generic: sg49
-
class: SCANNER
bus: SCSI
detached: 0
device: sg5
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 5
generic: sg5
-
class: SCANNER
bus: SCSI
detached: 0
device: sg50
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 50
generic: sg50
-
class: SCANNER
bus: SCSI
detached: 0
device: sg51
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 51
generic: sg51
-
class: SCANNER
bus: SCSI
detached: 0
device: sg52
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 52
generic: sg52
-
class: SCANNER
bus: SCSI
detached: 0
device: sg53
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 53
generic: sg53
-
class: SCANNER
bus: SCSI
detached: 0
device: sg54
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 54
generic: sg54
-
class: SCANNER
bus: SCSI
detached: 0
device: sg55
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 55
generic: sg55
-
class: SCANNER
bus: SCSI
detached: 0
device: sg56
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 56
generic: sg56
-
class: SCANNER
bus: SCSI
detached: 0
device: sg57
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 57
generic: sg57
-
class: SCANNER
bus: SCSI
detached: 0
device: sg58
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 58
generic: sg58
-
class: SCANNER
bus: SCSI
detached: 0
device: sg59
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 59
generic: sg59
-
class: SCANNER
bus: SCSI
detached: 0
device: sg6
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 6
generic: sg6
-
class: SCANNER
bus: SCSI
detached: 0
device: sg60
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 60
generic: sg60
-
class: SCANNER
bus: SCSI
detached: 0
device: sg61
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 61
generic: sg61
-
class: SCANNER
bus: SCSI
detached: 0
device: sg62
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 62
generic: sg62
-
class: SCANNER
bus: SCSI
detached: 0
device: sg63
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 63
generic: sg63
-
class: SCANNER
bus: SCSI
detached: 0
device: sg7
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 7
generic: sg7
-
class: SCANNER
bus: SCSI
detached: 0
device: sg8
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 8
generic: sg8
-
class: SCANNER
bus: SCSI
detached: 0
device: sg9
driver: ignore
desc: "Microtek ScanMakerIII"
host: 0
id: 3
channel: 0
lun: 9
generic: sg9



Comment 7 Bill Nottingham 2005-02-23 14:23:58 EST
Wheeee. Back to kernel. :)
Comment 8 Dave Jones 2005-02-23 14:35:18 EST
congratulations, you're the first victim of the 'scan all luns' change.
I'll add this device to the blacklist, so it gets fixed in the next update.
(it'll just report a single LUN again)
Comment 9 marty diamond 2005-02-23 15:55:59 EST
Thanks very much to you'll for taking a look at this issue, it is much
appreciated.  For the moment I've disable the kudzu daemon to speed up
infrequent but possible reboots on the affected machine.  :0 
Comment 10 marty diamond 2005-03-03 14:04:14 EST
I've done the kernel upgrade to 2.6.10-1.770_FC3, re-enbled the kudzu service,
rebooted, and all is now functioning as it(ScanMaker III SCSI scanner) did prior
to 2.6.10-1.766_FC3.  Ya fixed it!  Thanks again.  -md

Note You need to log in before you can comment on or make changes to this bug.